Altibase.jdbc.driver.sharding.algorithm

## Class StandardCompositeShardingAlgorithm

- java.lang.Object
- - Altibase.jdbc.driver.sharding.algorithm.StandardCompositeShardingAlgorithm

All Implemented Interfaces:
  CompositeShardingAlgorithm, ShardingAlgorithm

    public class StandardCompositeShardingAlgorithm
    extends java.lang.Object
    implements CompositeShardingAlgorithm

### Constructor Summary

Constructors
Constructor and Description
`StandardCompositeShardingAlgorithm(ShardRangeList aShardRangeList)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<DataNode>` `doSharding(java.util.List<java.lang.Comparable<?>> aShardValueList, java.util.List<ShardSplitMethod> aShardSplitMethodList, DataNode aDefaultNode, int aShardValueCnt, int aShardSubValueCnt)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StandardCompositeShardingAlgorithm

    public StandardCompositeShardingAlgorithm(ShardRangeList aShardRangeList)

### Method Detail

#### doSharding

    public java.util.List<DataNode> doSharding(java.util.List<java.lang.Comparable<?>> aShardValueList,
                                               java.util.List<ShardSplitMethod> aShardSplitMethodList,
                                               DataNode aDefaultNode,
                                               int aShardValueCnt,
                                               int aShardSubValueCnt)
                                        throws java.sql.SQLException

Specified by:
  `doSharding` in interface `CompositeShardingAlgorithm`
Throws:
  `java.sql.SQLException`